# -*- Encoding: UTF-8 -*-
###
# Copyright (c) 2008-2009, Elián Hanisch
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
###

import supybot.conf as conf
import supybot.registry as registry

def configure(advanced):
	# This will be called by supybot to configure this module.  advanced is
	# a bool that specifies whether the user identified himself as an advanced
	# user or not.  You should effect your configuration by manipulating the
	# registry as appropriate.
	from supybot.questions import expect, anything, something, yn
	conf.registerPlugin('Factos', True)


Factos = conf.registerPlugin('Factos')

conf.registerGroup(Factos, 'sqlite')

conf.registerGlobalValue(Factos.sqlite, 'fact_Table',
		registry.String('factos', """nombre de la tabla que contendrá los factos"""))

conf.registerGlobalValue(Factos.sqlite, 'history_Table',
		registry.String('historial', """nombre de la tabla que contendrá el
			historial"""))

conf.registerGlobalValue(Factos.sqlite, 'user_Table',
		registry.String('usuarios', """nombre de la tabla que contendrá los
			usuarios"""))

# I *hate* python code with spaces instead of tabs.
# vim:set shiftwidth=4 tabstop=4 noexpandtab textwidth=109:
